<template lang="pug">
	nav#navegacion
		.navegacion.escritorio: ul
			li: a.activo(href="#") Presentación
			li: a(href="#") Malla Curricular
			li: a(href="#") Plana Docente
			li: a(href="#") Perfil del Egresado
			li: a(href="#") Inversión
			li: a(href="#") Admisión
			li: a.cta(href="#")
				span Solicitar información
				img.icono(src="~assets/img/chevron-este-blanco.svg")

		.navegacion.movil
			.selector
				.activo
					span
					img.icono(src="~assets/img/chevron-sur.svg")

				ul
					li: a.activo(href="#") Presentación
					li: a(href="#") Malla Curricular
					li: a(href="#") Plana Docente
					li: a(href="#") Perfil del Egresado
					li: a(href="#") Inversión
					li: a(href="#") Admisión
			a.cta(href="#")
				span Solicitar información
				img.icono(src="~assets/img/chevron-este-blanco.svg")
		.datos
			.item
				.etiqueta Fecha de Inicio
				.valor: strong 28 de Marzo del 2020
			.item
				.etiqueta Duración
				.valor: strong 6 semestres
			.item
				.etiqueta Sede
				.valor: strong La Molina
			.item
				.etiqueta Horario(s)
				.valor
					strong Sábados&nbsp;
					span 08:10 a.m. - 4:20 p.m.

			a(ref="#")
				span Descargar Brochure
				svg.icono(width="17", height="21", viewBox="0 0 17 21", fill="none", xmlns="http://www.w3.org/2000/svg")
					<path d="M10.751 0.888062L16.751 6.88806V18.8881C16.751 19.4185 16.5403 19.9272 16.1652 20.3023C15.7901 20.6773 15.2814 20.8881 14.751 20.8881H2.75098C2.22054 20.8881 1.71184 20.6773 1.33676 20.3023C0.96169 19.9272 0.750977 19.4185 0.750977 18.8881V2.88806C0.750977 2.35763 0.96169 1.84892 1.33676 1.47385C1.71184 1.09878 2.22054 0.888062 2.75098 0.888062H10.751ZM14.751 18.8881V7.88806H9.75098V2.88806H2.75098V18.8881H14.751ZM7.67098 11.1981C7.43098 10.4281 6.90098 7.96806 8.30098 7.92806C9.70098 7.88806 8.78098 11.0481 8.78098 11.0481C9.17098 12.5381 10.801 13.6081 10.801 13.6081C11.301 13.4581 14.151 13.1281 13.751 14.6081C13.321 16.0881 10.251 14.6981 10.251 14.6981C8.30098 14.8381 6.84098 15.3581 6.84098 15.3581C5.71098 17.4681 4.39098 18.3881 3.85098 17.4981C3.18098 16.3881 5.98098 14.9581 5.98098 14.9581C7.43098 12.6081 7.65098 11.2381 7.67098 11.1981ZM8.32098 12.0381C7.92098 13.3381 7.12098 14.7281 7.12098 14.7281C7.97098 14.3881 9.83098 13.9981 9.83098 13.9981C8.69098 12.9981 8.34098 12.0481 8.32098 12.0381ZM11.461 14.2081C11.461 14.2081 13.211 14.8581 13.251 14.5981C13.321 14.3281 11.921 14.0881 11.461 14.2081ZM5.80098 15.6981C5.03098 15.9981 4.29098 17.2781 4.47098 17.2781C4.65098 17.2881 5.38098 16.6781 5.80098 15.6981ZM8.32098 10.1481C8.32098 10.0981 8.75098 8.46806 8.32098 8.41806C8.02098 8.38806 8.31098 10.1081 8.32098 10.1481Z"/>


</template>

<style lang="stylus">

#navegacion
	padding 0
	border-radius: 0 0 16px 16px;
	background var(--color-fondo-claro-categoria)
	// overflow-x hidden
	// overflow-y visible
	margin-bottom 2.5rem

	#main &
		@media (min-width: 768px)
			display: none

	.datos
		display flex
		flex-wrap: wrap
		// display none
		box-sizing: border-box
		padding 1rem 2rem;
		justify-content center

		@media (min-width: 768px)
			padding .5rem 2rem .25rem;
			max-width 1280px
			align-items: center
			min-height 52px
			margin: 0 auto
			display flex
			justify-content: space-between

			& > div
				flex 1 1 auto

		.item
			margin 0 .5rem
			display inline-flex
			align-items: center
			font-weight: 300;
			font-size: 13px;
			line-height: 150%;
			letter-spacing: -0.022em;
			text-transform: capitalize;
			color: #4C4B5C;
			opacity: 0.75;


			@media (max-width: 768px)
				flex 1 0 40%
				flex-direction: column
				margin .5rem



			.valor
				margin 0 0 .25rem
				word-break normal
				text-align: center

				strong
					font-weight: 600
					font-size: 16px
					line-height: 120%
					letter-spacing: -0.022em
					color: #4C4B5C

				strong
				span
					display inline-block
					margin-right .5rem

			.etiqueta
				text-align: center
				text-transform: uppercase;
				white-space: nowrap;
				margin-right .5rem

		a
			text-align center
			font-weight: bold;
			font-size: 16px;
			line-height: 150%;
			letter-spacing: -0.01em;
			text-decoration-line: underline;
			text-transform: lowercase;
			margin 0 .5rem
			color: var(--color-categoria)

			svg
				fill: var(--color-categoria)

	.navegacion
		background-color: white;
		box-shadow: 0px 10px 20px rgba(64, 58, 147, 0.1);
		border-radius: 0 0 16px 16px;
		margin: 0
		min-height 72px

		&.escritorio
			display : block
		&.movil
			display : none

		@media (max-width: 768px)
			display flex
			justify-content space-around
			align-items stretch
			&.escritorio
				display : none
			&.movil
				display flex
				padding 1rem 0


		.selector
			border-bottom 2px solid #9F9FAE
			padding .5rem
			display flex
			align-items center
			cursor pointer
			flex 0 0 40%
			position relative

			.activo
				font-weight: bold;
				font-size: 15px;
				line-height: 150%;
				flex 1 1 auto
				display flex
				justify-content space-between
				align-items center

				letter-spacing: -0.022em;
				text-decoration-line: underline;
				text-transform: lowercase;
				color var(--color-categoria)

			ul
				position absolute
				margin-top 2px
				top 100%
				left 0
				right 0
				opacity 1
				z-index 5
				background: white
				box-shadow: 0px 6px 12px rgba(0, 25, 90, 0.08);
				border-radius: 8px;
				// display none
				li
					margin-bottom: 2rem
				a
					font-weight: bold;
					font-size: 15px;
					line-height: 150%;

					text-align: center;
					letter-spacing: -0.02em;
					text-decoration-line: underline;
					text-transform: lowercase

					color: #9F9FAE;



			&.abierto
				ul
					display: flex
					align-items: center
					flex-direction: column

		ul
			display: flex
			flex-direction: column
			justify-content space-between
			align-items flex-start
			padding 1rem 0.5rem
			margin 0
			display none

			box-sizing: border-box
			max-width calc( 100vw - 2rem )

			@media (min-width: 768px)

				max-width 1280px
				margin: 0 auto
				display flex
				flex-direction: row
				justify-content: space-between
				align-items center

				& > div
					flex 1 1 auto

			li
				margin 0 .5rem
				@media (max-width: 768px)
					// display none

				&:last-child
					display block

			a
				font-weight: bold;
				font-size: 17px;
				line-height: 150%;

				text-align: center;
				letter-spacing: -0.02em;
				text-decoration-line: underline;
				text-transform: lowercase;
				word-break keep-all

				color: #9F9FAE;
				display block


				&.activo
					font-weight: 600;
					font-size: 17px;
					line-height: 150%;
					text-align: center;
					letter-spacing: -0.02em;
					text-decoration-line: underline;
					text-transform: lowercase;

					color: #403A93;

		.icono
			margin-top 0
			margin-bottom 0

		span
			display: inline-block
			color inherit

		.cta
			padding 1em 2em;
			background: #1CCDE6;
			box-shadow: 0px 3px 9px rgba(64, 58, 147, 0.12);
			border-radius: 6px;

			font-weight: 600;
			font-size: 17px;
			line-height: 150%;

			letter-spacing: -0.015em;
			text-decoration-line: underline;
			text-transform: lowercase;
			display flex
			align-items center

			color: #FFFFFF;

</style>
